## kodi-visualization-goom-dmo 20.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(visualization.goom)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(glm REQUIRED)

if(NOT WIN32 AND (APP_RENDER_SYSTEM STREQUAL "gl" OR NOT APP_RENDER_SYSTEM))
  find_package(OpenGl REQUIRED)
  set(DEPLIBS ${OPENGL_LIBRARIES})
  set(includes ${OPENGL_INCLUDE_DIR})
  add_definitions(${OPENGL_DEFINITIONS})
else()
  find_package(OpenGLES REQUIRED)
  set(DEPLIBS ${OPENGLES_LIBRARIES})
  set(includes ${OPENGLES_INCLUDE_DIR})
  add_definitions(${OPENGLES_DEFINITIONS})
endif()

add_subdirectory(lib/goom)

include_directories(${includes}
                    ${GLM_INCLUDE_DIR}
                    ${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways (becomes done in future)
                    ${PROJECT_SOURCE_DIR}/lib/goom/src)

set(GOOM_SOURCES src/Main.cpp)

set(GOOM_HEADERS src/CircularBuffer.h
                 src/AudioData.h
                 src/Main.h)

list(APPEND DEPLIBS goom)

build_addon(visualization.goom GOOM DEPLIBS)

include(CPack)

=== lib/goom/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(goom)

if(WIN32)
 add_definitions(-D_WIN32PC)
endif()

set(GOOM_SOURCES src/goomsl_yacc.c
                 src/goomsl_lex.c
                 src/goomsl_lex.l
                 src/goomsl.c
                 src/goomsl_hash.c
                 src/goomsl_heap.c
                 src/goom_tools.c
                 src/config_param.c
                 src/convolve_fx.c
                 src/filters.c
                 src/flying_stars_fx.c
                 src/gfontlib.c
                 src/gfontrle.c
                 src/goom_core.c
                 src/graphic.c
                 src/ifs.c
                 src/lines.c
                 src/mathtools.c
                 src/mmx.c
                 src/sound_tester.c
                 src/surf3d.c
                 src/tentacle3d.c
                 src/plugin_info.c
                 src/v3d.c
                 src/drawmethods.c
                 src/cpu_info.c
                 src/xmmx.c)

set(GOOM_HEADERS src/goom.h
                 src/goom_plugin_info.h
                 src/goom_typedefs.h
                 src/goom_graphic.h
                 src/goom_config_param.h
                 src/goom_visual_fx.h
                 src/goom_filters.h
                 src/goom_tools.h
                 src/goomsl.h
                 src/goomsl_hash.h
                 src/goomsl_heap.h
                 src/goom_tools.h
                 src/goom_config.h
                 src/tentacle3d.h
                 src/mmx.h
                 src/xmmx.h)

add_library(goom STATIC ${GOOM_SOURCES} ${GOOM_HEADERS})
set_property(TARGET goom PROPERTY POSITION_INDEPENDENT_CODE ON)
set_property(TARGET goom PROPERTY C_STANDARD 11)

## kodi-visualization-goom-dmo 19.0.2

=== debian/changelog ===
kodi-visualization-goom-dmo (19.0.2-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Sep 2022 11:18:50 +0200

kodi-visualization-goom-dmo (19.0.1-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Dec 2021 11:10:16 +0100

kodi-visualization-goom-dmo (19.0.0-dmo1+deb11u2) stable; urgency=medium

  * Should depends on ${kodi:VISUALIZATIONAPI} instead of a versioned kodi.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Sep 2021 08:19:41 +0200

kodi-visualization-goom-dmo (19.0.0-dmo1+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Sep 2021 14:11:53 +0200

kodi-visualization-goom-dmo (3.4.0-dmo1+deb11u1) stable; urgency=medium

  * Remove Conflicts/Repkaces kodi-visualization.goom for
    kodi-visualization-goom package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 19 Aug 2021 01:43:46 +0200

kodi-visualization-goom-dmo (3.4.0-dmo0~bpo10+1) stable-backports; urgency=medium

  * Build for stable-backports.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Jul 2021 08:14:26 +0200

kodi-visualization-goom-dmo (2.2.3-dmo0+deb10u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Jul 2021 14:07:34 +0200

kodi-visualization-goom-dmo (1.1.2-dmo4) unstable; urgency=medium

  * Add also a Conflicts

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Jun 2017 10:25:53 +0200

kodi-visualization-goom-dmo (1.1.2-dmo3) unstable; urgency=medium

  * Rename the package from kodi-visualization.goom to kodi-visualization-goom

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Jun 2017 10:14:24 +0200

kodi-visualization-goom-dmo (1.1.2-dmo2) unstable; urgency=medium

  * Fix crash (undefined symbol: ADDON_HasSettings).

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Jun 2017 23:36:39 +0200

kodi-visualization-goom-dmo (1.1.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 19 May 2017 07:34:57 +0200

kodi-visualization-goom-dmo (1.1.1-dmo2) unstable; urgency=medium

  * Don't package addon.xml.in

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 May 2017 10:53:35 +0200

kodi-visualization-goom-dmo (1.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 30 Apr 2017 08:32:52 +0200

kodi-visualization-goom-dmo (1.1.0-dmo2) unstable; urgency=medium

  * Switch to source format '3.0 (quilt)'.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Dec 2016 14:48:38 +0100

kodi-visualization-goom-dmo (1.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 May 2016 18:18:37 +0200

kodi-visualization-goom-dmo (1.0.0-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 22 Mar 2016 08:41:06 +0100

=== debian/control ===
Source: kodi-visualization-goom-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/notspiff/visualization.goom
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 12), cmake, dh-sequence-kodiaddon (>= 5:19~),
 libgl1-mesa-dev, libglm-dev, ninja-build

Package: kodi-visualization-goom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:VISUALIZATIONAPI}
Description: GOOM audio visualization for Kodi
 The Goom 2k4 visualization supports effects like Tentacles, Flash, Stars,
 Fireworks, Waves, Blurs and Glows and includes a large number of trippy
 hypnotic effects that dance, swirl and pop with the music.

Package: kodi-visualization.goom
Architecture: any
Section: oldlibs
Depends: ${misc:Depends}, kodi-visualization-goom
Description: GOOM audio visualization for Kodi (dummy transitional package)
 This is a dummy transitional package that will install the
 kodi-visualization-goom package (with a new package name).  This package may
 be safely removed after upgrading.

## kodi-visualization-goom-dmo 20.1.1

=== debian/changelog ===
kodi-visualization-goom-dmo (1:20.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Jan 2023 14:57:43 +0100

kodi-visualization-goom-dmo (1:19.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Sep 2022 12:16:47 +0200

kodi-visualization-goom-dmo (1:19.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Dec 2021 10:29:34 +0100

kodi-visualization-goom-dmo (19.0.0-dmo2) unstable; urgency=medium

  * debian/control replace kodi dependency by ${kodi:VISUALIZATIONAPI}

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Sep 2021 00:06:51 +0200

kodi-visualization-goom-dmo (19.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Sep 2021 07:53:28 +0200

kodi-visualization-goom-dmo (3.4.0-dmo1+deb11u1) unstable; urgency=medium

  * Remove Conflicts/Replaces kodi-visualization.goom for
    kodi-visualization-goom package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 19 Aug 2021 01:43:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/notspiff/visualization.goom
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 12), cmake, dh-sequence-kodiaddon (>= 5:19~),
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 12), cmake, dh-sequence-kodiaddon (>= 5:20~),
  libgl1-mesa-dev, libglm-dev, ninja-build
 
 Package: kodi-visualization-goom

## kodi-visualization-goom-dmo 21.0.2

=== debian/changelog ===
kodi-visualization-goom-dmo (21.0.2-dmo1~rpt1) trixie; urgency=medium

  * PiOS rebuild 

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 25 Nov 2025 13:25:27 +0000

kodi-visualization-goom-dmo (1:21.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2025 15:07:44 +0100

kodi-visualization-goom-dmo (1:21.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 17 Jan 2025 14:26:50 +0100

kodi-visualization-goom-dmo (1:21.0.0-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Nov 2024 15:34:23 +0100

kodi-visualization-goom-dmo (1:21.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Apr 2024 11:40:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/notspiff/visualization.goom
-Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 12), cmake, dh-sequence-kodiaddon (>= 5:20~),
- libgl1-mesa-dev, libglm-dev, ninja-build
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 3:21~),
+ libgles-dev, libglm-dev, ninja-build
 
 Package: kodi-visualization-goom
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_clean:
	dh_clean visualization.goom/addon.xml

override_dh_auto_test:
